Bug 1030428 - Test Scenario fails to populate Date field
Test Scenario fails to populate Date field
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Toni Rikkola
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-14 07:29 EST by Toshiya Kobayashi
Modified: 2013-11-20 05:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-2061 Major Open Test Scenario fails to populate Date field 2014-06-23 05:31:19 EDT

  None (edit)
Description Toshiya Kobayashi 2013-11-14 07:29:05 EST
Description of problem:

Platform BZ for https://issues.jboss.org/browse/GUVNOR-2061


Steps to Reproduce:
1. Import repository_export_mvel_date.zip attached to GUVNOR-2061
2. Run MyTestScenario

Actual results:

Throws ERROR message

=====
20:33:26,674 ERROR [RepositoryAssetService] Unable to run the scenario.
[Error: could not access/write property (dateTime) in: defaultPackage.SubModel]
[Near : {... __fact__.dateTime = __val__ ....}]
             ^
[Line: 1, Column: 1]
	at org.mvel2.PropertyAccessor.set(PropertyAccessor.java:372)
	at org.mvel2.PropertyAccessor.set(PropertyAccessor.java:139)
	at org.mvel2.ast.DeepAssignmentNode.getReducedValue(DeepAssignmentNode.java:97)
	at org.mvel2.MVELInterpretedRuntime.parseAndExecuteInterpreted(MVELInterpretedRuntime.java:106)
	at org.mvel2.MVELInterpretedRuntime.parse(MVELInterpretedRuntime.java:49)
	at org.mvel2.MVEL.eval(MVEL.java:165)
	at org.drools.testframework.ScenarioRunner.populateFields(ScenarioRunner.java:404)
	at org.drools.testframework.ScenarioRunner$3.go(ScenarioRunner.java:186)
	at org.drools.testframework.ScenarioRunner.doPopulate(ScenarioRunner.java:249)
	at org.drools.testframework.ScenarioRunner.runScenario(ScenarioRunner.java:207)
...
=====

Expected results:

Run the test scenario

Note You need to log in before you can comment on or make changes to this bug.